C...
C...
C...    ******************************************************
C...   *                                                      *
C...   *                 SUBROUTINE CONVERT                   *
C...   *                                                      *
C...   *          VERSION 1.0 CURRENT AS OF 08/31/01          *
C...   *                                                      *
C...    ******************************************************
C...
C...
C...SUBROUTINE TO DEVELOP A NEW QTRACER2 COMPATIBLE SAMPLING STATION DATA FILE
	SUBROUTINE CONVERT ()
C...
C...CALL DFLIB FOR PREPARING GRAPHICS SCREEN
	USE DFLIB
	IMPLICIT NONE
C...
C...IDENTIFY VARIABLES
	CHARACTER*1		FILETYP
	CHARACTER*4		LINE(20), PARAM1(2), PARAM2(2)
	INTEGER(4)		I, J, N, IPLS, IFM, IPF, ICP1,
	1				ICP2, ICP3, ICP4
	REAL			PLS, FLZ, FM, PF
C...
C...INCLUDE FORMATTING STATEMENTS
	INCLUDE 'FORMAT.INC'
C...
C...DEFINE CHARACTERS TO IDENTIFY FILE TYPE
	DATA PARAM1/'QUAN','TITY'/
	DATA PARAM2/'SAMP','LING'/
C...
C...ZERO STATION NUMBERS COUNTERS
	N = 0
C...
C...BEGIN BY DETERMINING SIZE OF THE FILE
1	CONTINUE
	READ(1,*,END=2,ERR=2)
	N = N+1
	GOTO 1
2	CONTINUE
C...
C...BEGIN BY CHECKING WHICH TYPE OF FILE TO CONVERT
	REWIND(1)
	READ (1,1020) (LINE(J), J=1,20)
	DO I = 1,8
		IF (LINE(I) .EQ. PARAM1(I)) THEN
			GOTO 10
		ELSEIF (LINE(I) .EQ. PARAM2(I)) THEN
			GOTO 20
		ELSE
5			WRITE (*,980, ADVANCE='NO')
			READ  (*,*) FILETYP
			IF ((FILETYP(1:1) .EQ. "H") .OR.
	1			(FILETYP(1:1) .EQ. "h")) THEN
				CALL CLEARSCREEN ($GCLEARSCREEN)
				GOTO 10
			ELSEIF ((FILETYP(1:1) .EQ. "S") .OR.
	1			(FILETYP(1:1) .EQ. "s")) THEN
				CALL CLEARSCREEN ($GCLEARSCREEN)
				GOTO 20
			ELSE
				CALL CLEARSCREEN ($GCLEARSCREEN)			
				GOTO 5
			ENDIF
		ENDIF
	ENDDO
C...
C...READ AND REWRITE FIRST FOUR LINES
10	REWIND(1)
	DO I = 1,4
		READ  (1,1020) (LINE(J), J=1,20)
		WRITE (2,1020) (LINE(J), J=1,20)
	ENDDO
C...
C...WRITE NEXT TWO NEW LINES
	WRITE (*,1000, ADVANCE='NO')
	WRITE (2,1002)
	READ  (*,*)   IPLS,PLS
	WRITE (2,402) IPLS,PLS
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...WRITE NEXT TWO LINES
	WRITE (*,1010, ADVANCE='NO')
	WRITE (2,1012)
	READ  (*,*)   FLZ
	WRITE (2,412) FLZ
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...WRITE LAST LINES (SAMPLING STATION FILE NAMES)
	DO I = 1,N
		READ  (1,1020,END=30) (LINE(J), J=1,20)
		WRITE (2,1020)        (LINE(J), J=1,20)
	ENDDO
	GOTO 30
C...
C...READ AND REWRITE FIRST ELEVEN LINES
20	REWIND(1)
	DO I = 1,11
		READ  (1,1020) (LINE(J), J=1,20)
		WRITE (2,1020) (LINE(J), J=1,20)
	ENDDO
C...
C...CHANGE VOLUME IDENTIFIER
	WRITE (2,562)
C...
C...CONTINUE ON BY READING PAST OLD VOLUME IDENTIFIER
	READ (1,1020) (LINE(J), J=1,20)
C...
C...READ AND REWRITE NEXT FOUR LINES
	DO I = 1,3
		READ  (1,1020) (LINE(J), J=1,20)
		WRITE (2,1020) (LINE(J), J=1,20)
	ENDDO
C...
C...CHANGE SINUOSITY IDENTIFIER
	WRITE (2,582)
C...
C...CONTINUE ON BY READING PAST OLD SINUOSITY IDENTIFIER
	READ (1,1020) (LINE(J), J=1,20)
C...
C...READ AND REWRITE NEXT LINE
	READ  (1,1020) (LINE(J), J=1,20)
	WRITE (2,1020) (LINE(J), J=1,20)
C...
C...WRITE FLOW MEDIUM
	WRITE (*,590, ADVANCE='NO')
	WRITE (2,592)
	READ  (*,*)   IFM,FM
	WRITE (2,402) IFM,FM
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...WRITE POROUS OF FRACTURE FLOW
	WRITE (*,600, ADVANCE='NO')
	WRITE (2,602)
	READ  (*,*)   IPF,PF
	WRITE (2,402) IPF,PF
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...READ NEXT FOUR LINES
	DO I = 1,4
		READ  (1,1020) (LINE(J), J=1,20)
	ENDDO
C...
C...READ AND REWRITE NEXT TWELVE LINES
	DO I = 1,12
		READ  (1,1020) (LINE(J), J=1,20)
		WRITE (2,1020) (LINE(J), J=1,20)
	ENDDO
C...
C...WRITE IDENTIFIER FOR VISUALIZING CHATWIN PARAMETERS
	WRITE (*,670, ADVANCE='NO')
	WRITE (2,672)
	READ  (*,*)   ICP1,ICP2,ICP3,ICP4
	WRITE (2,408) ICP1,ICP2,ICP3,ICP4
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...READ NEXT FOUR LINES
	DO I = 1,2
		READ  (1,1020) (LINE(J), J=1,20)
	ENDDO
C...
C...WRITE LAST LINES (TIME-CONCENTRATION DATA)
	DO I = 1,N
		READ  (1,1020,END=30) (LINE(J), J=1,20)
		WRITE (2,1020)        (LINE(J), J=1,20)
	ENDDO
C...
C...DONE
30	RETURN
	END
