C...
C...
C...    ******************************************************
C...   *                                                      *
C...   *                   SUBROUTINE NEW                     *
C...   *                                                      *
C...   *          VERSION 1.0 CURRENT AS OF 08/31/01          *
C...   *                                                      *
C...    ******************************************************
C...
C...
C...SUBROUTINE TO DEVELOP A NEW QTRACER2 COMPATIBLE SAMPLING STATION DATA FILE
	SUBROUTINE NEW ()
C...
C...CALL DFLIB FOR PREPARING GRAPHICS SCREEN
	USE DFLIB
	IMPLICIT NONE
C...
C...IDENTIFY VARIABLES
      CHARACTER*80	NAM1, NAM2, NAM3, NAM4, NAM5, NAM6
      INTEGER(4)		ISF, ITR, IFB, IDISC1, IDISC2, IVOL, IDIST, ICS,
	1				IFM, IPF, INT, INT1, IEX, IEX1, ISD1, ISD2, ISD3,
     2				ISD4, IID1, IID2, IID3, IID4, ICP1, ICP2, ICP3,
     3				ICP4, ICM1, IFN, IFN1, IFN2, IFN3, IFN4, IFL,
     4				IFL1, IFL2, IFL3, IFL4, IFS, IFS1, IFS2, IFS3,
     5				IFS4, IFO, IDA
      REAL			BCK, DISC, DIST, CS, FM, PF, CM2, CM3 
C...
C...INCLUDE FORMATTING STATEMENTS
	INCLUDE 'FORMAT.INC'
C...
C...SAMPLING FREQUENCY
	WRITE (*,510, ADVANCE='NO')
	WRITE (2,512)
	READ  (*,*)   ISF
	WRITE (2,400) ISF
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...RECOVERY CONCENTRATION
	WRITE (*,520, ADVANCE='NO')
	WRITE (2,522)
	READ  (*,*)   ITR
	WRITE (2,400) ITR
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...BACKGROUND CONCENTRATION
	WRITE (*,530, ADVANCE='NO')
	WRITE (2,532)
	READ  (*,*)   IFB,BCK
	WRITE (2,402) IFB,BCK
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...DISCHARGE CONSTANT OR DATA FILE
	WRITE (*,540, ADVANCE='NO')
	WRITE (2,542)
	READ  (*,*)   IDISC1
	WRITE (2,400) IDISC1
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...DISCHARGE UNITS AND VALUE
	WRITE (*,550, ADVANCE='NO')
	WRITE (2,552)
	READ  (*,*)   IDISC2,DISC
	WRITE (2,402) IDISC2,DISC
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...SYSTEM VOLUME
	WRITE (*,560, ADVANCE='NO')
	WRITE (2,562)
	READ  (*,*)   IVOL
	WRITE (2,400) IVOL
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...RADIAL DISTANCE
	WRITE (*,570, ADVANCE='NO')
	WRITE (2,572)
	READ  (*,*)   IDIST,DIST
	WRITE (2,402) IDIST,DIST
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...SINUOSITY
	WRITE (*,580, ADVANCE='NO')
	WRITE (2,582)
	READ  (*,*)   ICS,CS
	WRITE (2,402) ICS,CS
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...FLOW MEDIUM
	WRITE (*,590, ADVANCE='NO')
	WRITE (2,592)
	READ  (*,*)   IFM,FM
	WRITE (2,402) IFM,FM
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...POROUS OF FRACTURE FLOW
	WRITE (*,600, ADVANCE='NO')
	WRITE (2,602)
	READ  (*,*)   IPF,PF
	WRITE (2,402) IPF,PF
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...OUTPUT FILE NAME
	WRITE (*,610, ADVANCE='NO')
	WRITE (2,612)
	READ  (*,*)   NAM1
	WRITE (2,404) NAM1
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...INTERPOLATE DATA
	WRITE (*,620, ADVANCE='NO')
	WRITE (2,622)
	READ  (*,*)   INT,INT1
	WRITE (2,406) INT,INT1
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...NAME OF INTERPOATED DATA
	WRITE (*,630, ADVANCE='NO')
	WRITE (2,632)
	READ  (*,*)   NAM2
	WRITE (2,404) NAM2
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...EXTRAPOLATE DATA
	WRITE (*,640, ADVANCE='NO')
	WRITE (2,642)
	READ  (*,*)   IEX,IEX1
	WRITE (2,406) IEX,IEX1
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...VISUAL STRAIGHT DATA
	WRITE (*,650, ADVANCE='NO')
	WRITE (2,652)
	READ  (*,*)   ISD1,ISD2,ISD3,ISD4
	WRITE (2,408) ISD1,ISD2,ISD3,ISD4
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...VISUAL INTERPOLATED DATA
	WRITE (*,660, ADVANCE='NO')
	WRITE (2,662)
	READ  (*,*)   IID1,IID2,IID3,IID4
	WRITE (2,408) IID1,IID2,IID3,IID4
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...VISUAL CHATWIN PARAMETERS
	WRITE (*,670, ADVANCE='NO')
	WRITE (2,672)
	READ  (*,*)   ICP1,ICP2,ICP3,ICP4
	WRITE (2,408) ICP1,ICP2,ICP3,ICP4
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...CXTFIT MODELING
	WRITE (*,680, ADVANCE='NO')
	WRITE (2,682)
	READ  (*,*)   ICM1,CM2,CM3
	WRITE (2,410) ICM1,CM2,CM3
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...CXTFIT FILE NAME
	WRITE (*,690, ADVANCE='NO')
	WRITE (2,692)
	READ  (*,*)   NAM3
	WRITE (2,404) NAM3
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...FLAG FOR NORM DATA
	WRITE (*,700, ADVANCE='NO')
	WRITE (2,702)
	READ  (*,*)   IFN
	WRITE (2,400) IFN
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...NORM FILE NAME
	WRITE (*,710, ADVANCE='NO')
	WRITE (2,712)
	READ  (*,*)   NAM4
	WRITE (2,404) NAM4
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...VISUAL NORM DATA
	WRITE (*,720, ADVANCE='NO')
	WRITE (2,722)
	READ  (*,*)   IFN1,IFN2,IFN3,IFN4
	WRITE (2,408) IFN1,IFN2,IFN3,IFN4
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...FLAG FOR LOAD DATA
	WRITE (*,730, ADVANCE='NO')
	WRITE (2,732)
	READ  (*,*)   IFL
	WRITE (2,400) IFL
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...LOAD FILE NAME
	WRITE (*,740, ADVANCE='NO')
	WRITE (2,742)
	READ  (*,*)   NAM5
	WRITE (2,404) NAM5
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...VISUAL LOAD DATA
	WRITE (*,750, ADVANCE='NO')
	WRITE (2,752)
	READ  (*,*)   IFL1,IFL2,IFL3,IFL4
	WRITE (2,408) IFL1,IFL2,IFL3,IFL4
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...FLAG FOR STAN DATA
	WRITE (*,760, ADVANCE='NO')
	WRITE (2,762)
	READ  (*,*) IFS
	WRITE (2,400) IFS
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...STAN FILE NAME
	WRITE (*,770, ADVANCE='NO')
	WRITE (2,772)
	READ  (*,*)   NAM6
	WRITE (2,404) NAM6
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...VISUAL STAN DATA
	WRITE (*,780, ADVANCE='NO')
	WRITE (2,782)
	READ  (*,*)   IFS1,IFS2,IFS3,IFS4
	WRITE (2,408) IFS1,IFS2,IFS3,IFS4
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...FLAG FOR OUTPUT TO SCREEN DEVICE
	WRITE (*,790, ADVANCE='NO')
	WRITE (2,792)
	READ  (*,*) IFO
	WRITE (2,400) IFO
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...FLAG FOR DATA ANALYSIS METHOD
	WRITE (*,800, ADVANCE='NO')
	WRITE (2,802)
	READ  (*,*)   IDA
	WRITE (2,400) IDA
	CALL CLEARSCREEN ($GCLEARSCREEN)
C...
C...HEARED FOR ACTUAL DATA
	WRITE (2,804)
C...
C...DONE
	RETURN
	END